> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Options



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/options
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/options:
    get:
      tags:
        - Projects
      summary: List Options
      operationId: ProjectsController_listOptions_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: number
        - name: search
          required: false
          in: query
          schema:
            type: string
            maxLength: 255
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectOptionsResponseDto'
components:
  schemas:
    ProjectOptionsResponseDto:
      type: object
      properties:
        nextCursor:
          nullable: true
          oneOf:
            - type: string
            - type: 'null'
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProjectOptionResponseDto'
        hasMore:
          type: boolean
      required:
        - nextCursor
        - items
        - hasMore
    ProjectOptionResponseDto:
      type: object
      properties:
        code:
          nullable: true
          oneOf:
            - type: string
            - type: 'null'
        id:
          type: string
        name:
          type: string
      required:
        - code
        - id
        - name

````